> Failed to find target with hash string ' android-26' in: /opt/android-sdk-linux
ubuntu 16.04 Android-sdk at/opt/android-sdk-linux Android Home Confugied(Export Android_home ="/opt/opt/android-sdk-linux/") /opt/opt/android-sdk-linux/ 中没有其他工具文件夹 我的gradle文件: android { compileSdkVersion 26 buildToolsVersion "21.1.0" defaultConfig { applicationId "hu.prject.sandbox.sample" minSdkVersion 21 targetSdkVersion 26 versionCode 1 versionName "1.0" testInstrumentationR
2 2024-04-05
编程技术问答社区
安卓插件1.3错误
这是我更新我的SDK并构建 Android M 时遇到的错误 Android Build Tools Found incompatible Build Tools and Android plugin versions: * Module 'app' is using Android plugin 1.2.3 and Build Tools 23.0.0 rc1 Please use Android plugin 1.3 or newer, or an older Build Tools version. Otherwise the project won't build. classPath 'com.android.tools.build:gradle:1.2.3' 更改为 1.3 我有另一个错误. Error:Could not find com.android.tools.build:gradle:1.3. Searched in the following
在Android Studio上设置授权验证库
im'triyng在Android Studio制造的应用程序中实现Google许可验证. 遵循以下几行: play/licensing/instup.html 似乎是tath: 作为添加LVL作为库项目的替代方法,您可以将库源直接复制到应用程序中.为此,将LVL库/SRC/COM目录复制(或导入)中的SRC/Directory. 我已经这样做了,但是: 的导入 import com.google.android.vending.licensing.LicenseChecker; import com.google.android.vending.licensing.LicenseCheckerCallback; 失败.. 在Google上搜索,我已经注意到我需要修改项目上的build.grade文件,但是找不到特定的解决方案. 如何在我的Android Studio项目中引用LVL? 有一些教程或示例? 谢谢 洛伦佐 解决方案 最后,我有解决方案
Unity3D-重新打包资源失败 | Android APK
我正在尝试编译一个没有任何其他插件的简单游戏,但是我面临以下错误: CommandInvokationFailure: Failed to re-package resources. See the Console for details. C:\Program Files (x86)\Android\android-sdk\build-tools\24.0.0-preview\aapt.exe package --auto-add-overlay -v -f -m -J gen -M AndroidManifest.xml -S "res" -I "C:/Program Files (x86)/Android/android-sdk\platforms\android-23\android.jar" -F bin/resources.ap_ stderr[ ] stdout[ -------------------------------------------------
20 2024-03-02
编程技术问答社区
由命令行调用的Android Apkanalyzer给出了" NoclassDeffounderror"例外
我正在尝试运行由Android SDK(在SDK/Tool/bin下)提供的APKANALYZER工具,但我无法使其正常工作.我知道我也可以通过AndroidStudio使用此工具,但是我需要自动化APK分析以涵盖许多APK.因此,我跟随此 apkanalyzer 使用它. 无论如何,当我尝试启动apkanalyzer(例如apkanalyzer apk摘要apkname.apk)时,它给出以下例外: 线程中的异常" main" java.lang.noclassdeffounderror:javax/xml/bind/bind/notation/xmlschema 在com.android.repository.api.schemamodule $ schemamodulsion.(sthemamodule.java:156) 在com.android.repository.api.schemamodule.(sthemamodule.java:75) 在com.andro
10 2024-03-02
编程技术问答社区
统一称API级别太低
确切的错误: Minimum API Level Not Supported on Requested VR Device Cardboard Requires a Minimum API Level of 19 尽管在Android SDK经理中,它说我有修订25.2.5,25.0.5, 和25.0.3安装. 解决方案 您必须从编辑器更改此minimun API级别. 转到编辑 - >项目设置 - > player->其他设置 - >识别 - > minimium api级 - > android 4.4'kit kat'(API级别19)或上面的任何内容. 还将目标API级别更改为自动(最高安装). 如果这不起作用,请确保从Android SDK Manager下载API级别19(Android 4.4.2)或上面的任何级别.之后重复此答案中的内容.
安卓提供的json版本的Apache http客户端错误
我正在尝试从URL解析JSON,Apache HTTP客户端从Android API级别删除了23.如果我在Android Studio中使用httpclient.jar文件,它显示出错误,例如: "警告:依赖项org.json:json:20090211对于调试而被忽略 可能与Android提供的内部版本相抵触." dependencies{ compile files('libs/httpclient-4.5.1.jar') compile files('libs/httpcore-4.5.1.jar') } 如何解决此错误. 谢谢. 解决方案 从您的build.gradle中删除上述两个语句,然后添加以下依赖项 dependencies { compile 'org.jbundle.util.osgi.wrapped:org.jbundle.util.osgi.wrapped.org.apache.http.client:4.1
8 2024-02-28
编程技术问答社区
NativeScript无法在Mac OS上找到Android SDK
我已经安装了nativecript,我尝试做tns platform add android,但是它不起作用. Android_home路径是正确的,我已经安装了SDK(API 22和最新的一个)和工具(25.0.2).当我运行tns doctor时,它说: WARNING: The Android SDK is not installed or is not configured properly. Cannot find a compatible Android SDK for compilation. To be able to build for Android, install Android SDK 22 or later. You need to have the Android SDK Build-tools installed on your system. You can install any version in the following range:
10 2024-02-22
编程技术问答社区
AVD管理器(v21.0.1和21.1rc2)的问题:不支持xxhdpi
我在为我注意到AVD Manager无法解析设备.xml文件,如果其中一个使用XXHDPI密度. 作为旁注,模拟器不再能够扩展显示为实际尺寸. 有人面对这些问题并能够解决问题吗?我真的需要为我们正在处理的POC效仿该设备. 解决方案 对于第一期,关于添加XXHDPI设备后解析的错误,尝试将Android SDK工具更新为21.1,这确实应该解决问题. 对于您的第二期,使模拟器使用XXHDPI资源工作,可以在模拟器启动后使用一些其他ADB命令来完成.从developer.sonymobile.com上的安装故障排除页面( http://developer.sonymobile.com/knowledge-base/sdks/sony-add-ond-on-sdk/install-tallal-thal-the-sony-asony-add-ond-on-sdk/),以下语句可用: 在Android SDK工具版本21.1中,尚未支持模拟器显示的XXHDPI屏
10 2024-02-19
编程技术问答社区
在Android SDK 23中的Windows 7上启动AVD时出错
我使用Intel I5处理器安装了Dell Inspiron笔记本电脑中的Windows 7(Ultimate Edition).我最近安装了最新的Android SDK(SDK 23,Android 6.0),并已成功安装.现在,当我启动AVD时,我会收到以下错误消息: 模拟器:错误:X86仿真当前需要硬件加速! 请确保正确安装了英特尔HAXM. CPU加速度状态:HAX内核模块未安装! 现在的问题是,我已经从BIOS启用了虚拟化,并且已从英特尔处理器识别实用程序进行了验证. 我导航到我的Android SDK ... \ Extras \ intel \ hardware_accelerated_execution_manager,双击intelhaxm android.exe. 我收到以下错误: 如何删除此错误?是什么可能导致错误? 解决方案 有完全相同的问题,您需要通过重新启动并启用VT选项进入BIOS设置.完成后,安装HAXM的Intel驱
10 2024-02-19
编程技术问答社区
Android SDK管理器-你需要安装所有的Android平台吗?
我最近下载了Android SDK. 在" SDK Manager"中下载所有软件包将花费太多时间.因此,我想知道我是否应该取消选择除最新平台以外的所有平台. 我需要所有平台还是我需要哪个平台? 解决方案 根本不是.您只需要安装您针对应用程序定位的那些平台,并打算使用这些平台来测试您的应用程序.如果我是你,我会安装: API 24 (多个应用程序窗口,通知增强,多磁带支持) API 23 (运行时权限切换,打ze模式和鲍林斯) API 21 (大规模变化,包括材料设计) API 19 (各种API方法的许多更改) API 18 (诸如BLE,新API方法之类的新功能) API 14 (大修 - 解决了蜂窝中的几个问题) API 11 (量子移动 - API 11的天然片段和动作栏) ) API 10 ("旧" Android平台的最后一个 - 仍然有人在使用此) 您还应该安装 SDK工具24.0.2 SDK平台工具21 SDK Build
设备仿真器-5554没有得到授权。(安卓)
我遇到了类似的问题:[ emulator-5554未授权ADB设备 [1] 基本上,我试图用Windows 10在Android虚拟设备上进行一些颤抖的编程……尽管我认为这个问题不是特定于Flutter的. 启动虚拟设备后,我运行 flutter doctor -v 除了 外,一切都很好 [!] Connected device • Device emulator-5554 is not authorized. You might need to check your device for an authorization dialog. 我运行 flutter devices 我明白了: No devices detected. Run 'flutter emulators' to list and start any available device emulators. 我运行 flutter emulators 我得
34 2024-02-19
编程技术问答社区
安卓SDK和AVD管理器在Windows 7 x64上无法启动
任何人都可以确认Windows 7 X64是否尚未支持Android开发? 我下载了SDK,但是当我尝试启动SDK和AVD管理器时,它无法启动. 解决方案 对我有用的是将指向JDK文件夹的Java_home环境变量添加(在我的情况c:\Program Files\Java\jdk1.7.0_04中),然后将%JAVA_HOME%\bin添加到路径变量 其他解决方案 这个问题可能已经死了,但我想我已经弄清楚了. 确保您添加了c:\ android_sdk_windows \ tools dir到您的%路径%环境变量. 在Eclipse检查Windows->首选项 - > Android,并确保已将SDK位置设置为上方的SDK目录. 在SDK目录下手动创建2个目录 platforms add-ons SDK和AVD Manager现在应该可以发射. 其他解决方案 对我而言,通过在android_sdk/tools/lib文件夹中编辑fin
6 2024-02-19
编程技术问答社区
模拟器卡在Android Studio的加载屏幕上
我决定尝试使用Eclipse的Android Studio 2.0,但是我很难正确加载Android虚拟设备(AVD). 我已经对这个问题进行了大量谷歌搜索和研究.到目前为止,什么都没有. 每次我尝试运行它时,模拟器只会挂在Android负载屏幕上.我已经看到它建议使用Genymotion,但是我希望首先在Android Studio中首先解决该问题,以使前来使用IDE进行建筑项目的信心. 下面的子弹列出了我尝试的东西. 我发现的大多数建议是来自其他类似的堆栈溢出问题,或者来自谷歌搜索. 他们都没有解决问题. 完全重新安装了Android 完整重新安装了软件开发套件(SDK)和SDK工具 Intel X86加速器的安装和配置 将RAM降低到AVD设置中的512 多次尝试删除和重新创建AVD 创建不同的AVD电话模型(Nexus One,Nexus 5X等) 在AVD监视器工具中重置Android调试桥(ADB) 从终端启动ADB服务器 更改后多次重新
有什么办法可以自动安装Android SDK?
现在,我必须下载并安装Android SDK和 avd Manager ,然后通过UI安装API,工具.有没有办法自动化此过程? 解决方案 更新 最新版本介绍sdkmanager,一种命令行工具,可让您查看,安装,更新和卸载Android SDK. Android SDK工具包( 25.2.3及更高>)提供了sdkmanager工具,位于android_sdk/tools/bin/中. . sdkmanager [--uninstall] [] [--package_file ] [...] sdkmanager --update [] sdkmanager --list [] sdkmanager --licenses [] In its first form, installs, or uninstalls,
10 2024-02-19
编程技术问答社区
从命令行下载Android支持库
如何通过命令行下载Android支持库? 例如: echo y | android update sdk --no-ui --filter "android-19" 解决方案 echo y | android update sdk --no-ui --all --filter "extra-android-m2repository" 其他解决方案 android命令现在不推荐 您可以使用sdkmanager sdkmanager这样: sdkmanager --install "extras;android;m2repository" 其他解决方案 sdkmanager "extras;android;m2repository" 为我工作. 我遇到了错误:警告:file/var/root/.android/repositories.cfg无法加载. 所以我必须在运行上述命令之前创建该文件. touch ~/.android/re
18 2024-02-19
编程技术问答社区
无法构建Android APK-执行任务失败':app:mergeDebugResources'。
有些人将这个问题标记为重复.但是,即使我尝试了类似问题给出的所有方法,问题仍然无法解决. aapt2.exe仍会丢弃错误,并说AAPT2.EXE停止工作. 我已经在Mac机器上开发了一个项目,并且在此方面工作正常.现在,我想将该项目移至另一个系统,以便其他成员也可以在其中工作.当我安装Android Studio并在Windows Machine中打开同一项目时,它显示了以下错误,我无法从该系统生成任何构建.当我尝试使用build 时,我会在对话框中遇到以下错误 aapt2.exe is stopped working FAILURE: Build failed with an exception. * What went wrong: Execution failed for task ':app:mergeDebugResources'. > 8 exceptions were raised by workers: com.android.builder.inte
我应该保留哪个Android ADB?
我注意到运行adb version在我的Ubunutu 22.04系统上显示过时的版本28.我不确定以前是如何安装adb的,也许是通过APT软件包android-sdk-platform-tools? $ which adb /usr/bin/adb $ adb version Android Debug Bridge version 1.0.41 Version 28.0.2-debian Installed as /usr/lib/android-sdk/platform-tools/adb $ dpkg -l | grep android-sdk-platform ii android-sdk-platform-tools 28.0.2+6 amd64 Tools for intera
32 2024-02-18
编程技术问答社区
Android Studio不安装SDK...什么?
我正在尝试使用Cordova构建Hello World应用程序,并在添加ANDROID_HOME变量之后(您会震惊的是要弄清楚多长时间),我在构建何时一直在构建时一直看到: 构建失败 总时间:1分钟6.679秒错误: /users/vladdy/desktop/dlaboratory/cordovabackground/platforms/android/gradlew: 命令失败,出口代码1错误输出: 失败:构建失败 除了例外. 出了什么问题:出现了一个问题,即配置root项目'android'. 无法使用Hash String'android-25'in:/users/vladdy/library/android/sdk 找到目标 尝试:使用-stacktrace选项运行以获取堆栈跟踪.使用-Info或-debug选项运行以获取更多日志输出. 好的足够公平,所以让我们安装它: 耐心地等待安装,并且运行相同的错误cordova buil
4 2024-02-18
编程技术问答社区
为什么有这么多连接到同一个仿真器端口的ESTABLISHED和TIME_WAIT?
我正在努力寻找使用Android Studio 时在项目中处理两个永久错误的方法 Emulator: emulator: ERROR: AdbHostServer.cpp:102: Unable to connect to adb daemon on port: 5037 Emulator: socketTcpLoopbackClientFor: error: fd 56668 above FD_SETSIZE (32768) 不管我使用哪个Android/API版本,这两个erros都不会失望.我发现与该端口的仿真器连接数量有些怪异.也许它是那样工作的,或者我也把一些东西弄乱了,我找不到东西(我有Unistall,并从头开始重新安装Android Studio,并且同样的问题仍然存在) ) 这是事件日志 01/06/2020 00:08 Gradle sync started 00:08 * daemon not running; starting no
20 2024-02-18
编程技术问答社区